//
//  KinemeAudioPort.h
//  KinemeCore
//
//  Created by Christopher Wright on 11/1/07.
//  Copyright 2007 Kosada Incorporated. All rights reserved.
//

#import <KinemeCore/QCObjectPort.h>
#import <KinemeCore/KinemeAudio.h>

@interface KinemeAudioPort : QCObjectPort
{
}

+ (Class)baseClass;
- (Class)objectClass;
- (KinemeAudio*)kinemeAudioValue;
- (void)setKinemeAudioValue:(KinemeAudio*)audioValue;

- (BOOL)canConnectToPort:(QCPort*)port;

@end
