#import <KinemeCore/QCImageBuffer.h>

@interface QCImagePixelBuffer : QCImageBuffer
{
    unsigned int _rowBytes;
    BOOL _purgeable;
    void *_unused2[4];
}

- (id)initWithFormat:(id)fp8 pixelsWide:(unsigned int)fp12 pixelsHigh:(unsigned int)fp16 options:(id)fp20;
- (id)initWithPixelBuffer:(id)fp8 bounds:(NSRect)fp12 replacingFormat:(id)fp28;
- (id)initWithFormat:(id)fp8 baseAddress:(const void *)fp12 releaseCallback:(void *)fp16 releaseInfo:(void *)fp20 bytesPerRow:(unsigned int)fp24 pixelsWide:(unsigned int)fp28 pixelsHigh:(unsigned int)fp32 flipped:(BOOL)fp36 colorSpace:(struct CGColorSpace *)fp40 options:(id)fp44;
- (void *)baseAddress;
- (unsigned int)bytesPerRow;
- (BOOL)beginUpdatePixels:(BOOL)fp8 colorSpace:(struct CGColorSpace *)fp12;
- (void)clearBuffer;
- (void)endUpdatePixels;
- (id)pixelBufferRepresentation;
- (BOOL)setPurgeable:(BOOL)fp8;
- (BOOL)purgeable;
- (id)description;

@end
